Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class LbsDataSubRecord.LbsDropData

    java.lang.Object
      org.apache.poi.hssf.record.LbsDataSubRecord.LbsDropData

Enclosing class:
  LbsDataSubRecord

    public static class LbsDataSubRecord.LbsDropData

extends java.lang.Object

This structure specifies properties of the dropdown list control

Field Summary
`static int` | `STYLE_COMBO_DROPDOWN` Combo dropdown control
`static int` | `STYLE_COMBO_EDIT_DROPDOWN` Combo Edit dropdown control
`static int` | `STYLE_COMBO_SIMPLE_DROPDOWN` Simple dropdown control (just the dropdown button)

Constructor Summary
`LbsDataSubRecord.LbsDropData()`
`LbsDataSubRecord.LbsDropData(LittleEndianInput in)`

Method Summary
`int` | `getDataSize()`
`void` | `serialize(LittleEndianOutput out)`
`void` | `setNumLines(int num)` Set the number of lines to be displayed in the dropdown.
`void` | `setStyle(int style)` Set the style of this dropdown.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STYLE_COMBO_DROPDOWN

    public static int STYLE_COMBO_DROPDOWN

  Combo dropdown control

### STYLE_COMBO_EDIT_DROPDOWN

    public static int STYLE_COMBO_EDIT_DROPDOWN

  Combo Edit dropdown control

### STYLE_COMBO_SIMPLE_DROPDOWN

    public static int STYLE_COMBO_SIMPLE_DROPDOWN

  Simple dropdown control (just the dropdown button)

Constructor Detail

### LbsDataSubRecord.LbsDropData

    public LbsDataSubRecord.LbsDropData()

### LbsDataSubRecord.LbsDropData

    public LbsDataSubRecord.LbsDropData(LittleEndianInput in)

Method Detail

### setStyle

    public void setStyle(int style)

  Set the style of this dropdown. Possible values:

  0 Combo dropdown control 1 Combo Edit dropdown control 2 Simple dropdown control (just the dropdown button)

### setNumLines

    public void setNumLines(int num)

  Set the number of lines to be displayed in the dropdown.

### serialize

    public void serialize(LittleEndianOutput out)

### getDataSize

    public int getDataSize()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD